with
  function digit_sum
    (pi_integer  in  integer
    )
    return integer
    is
      c_as_string  constant  varchar2(15) := to_char(pi_integer,'fm999999999999999');
      l_result     integer  := 0;
    begin
      for i_pos in 1 .. length(c_as_string)
      loop
        l_result := l_result + to_number(substr(c_as_string, i_pos, 1));
      end loop;
      return (l_result);
    end;
--
select object_id                "Object ID"
,      digit_sum (object_id)    "Sum Of Digits"
from   user_objects
fetch first 4 rows only
/
